#include <FreeRTOS.h>
#include <task.h>

namespace osal {

class Rtos {
   public:
	static void startScheduler() { vTaskStartScheduler(); }
	static void suspendTasks() { vTaskSuspendAll(); }
	static long resumeTasks() { return static_cast<long>(xTaskResumeAll()); }
};
}  // namespace osal
